# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_Array1OfDrawableP3D Class Reference

`#include <TestTopOpeDraw_Array1OfDrawableP3D.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeDraw_Array1OfDrawableP3D (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TestTopOpeDraw_Array1OfDrawableP3D (const Handle(TestTopOpeDraw_DrawableP3D)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(TestTopOpeDraw_DrawableP3D)&V)
Standard_EXPORT void | Destroy ()
| ~TestTopOpeDraw_Array1OfDrawableP3D ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TestTopOpeDraw_Array1OfDrawableP3D & | Assign (const TestTopOpeDraw_Array1OfDrawableP3D &Other)
const TestTopOpeDraw_Array1OfDrawableP3D & | operator= (const TestTopOpeDraw_Array1OfDrawableP3D &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TestTopOpeDraw_DrawableP3D)&Value)
const Handle_TestTopOpeDraw_DrawableP3D & | Value (const Standard_Integer Index) const
const Handle_TestTopOpeDraw_DrawableP3D & | operator() (const Standard_Integer Index) const
Handle_TestTopOpeDraw_DrawableP3D & | ChangeValue (const Standard_Integer Index)
Handle_TestTopOpeDraw_DrawableP3D & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TestTopOpeDraw_Array1OfDrawableP3D (const TestTopOpeDraw_Array1OfDrawableP3D &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_Array1OfDrawableP3D::TestTopOpeDraw_Array1OfDrawableP3D | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TestTopOpeDraw_Array1OfDrawableP3D::TestTopOpeDraw_Array1OfDrawableP3D | ( | const Handle(TestTopOpeDraw_DrawableP3D)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TestTopOpeDraw_Array1OfDrawableP3D::~TestTopOpeDraw_Array1OfDrawableP3D | ( |  | ) | `[inline]`

Standard_EXPORT TestTopOpeDraw_Array1OfDrawableP3D::TestTopOpeDraw_Array1OfDrawableP3D | ( | const TestTopOpeDraw_Array1OfDrawableP3D & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TestTopOpeDraw_Array1OfDrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::Assign | ( | const TestTopOpeDraw_Array1OfDrawableP3D & | Other | ) |

Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TestTopOpeDraw_Array1OfDrawableP3D::Destroy | ( |  | ) |

Standard_EXPORT void TestTopOpeDraw_Array1OfDrawableP3D::Init | ( | const Handle(TestTopOpeDraw_DrawableP3D)& | V | ) |

Standard_Boolean TestTopOpeDraw_Array1OfDrawableP3D::IsAllocated | ( |  | ) | const

Standard_Integer TestTopOpeDraw_Array1OfDrawableP3D::Length | ( |  | ) | const

Standard_Integer TestTopOpeDraw_Array1OfDrawableP3D::Lower | ( |  | ) | const

void TestTopOpeDraw_Array1OfDrawableP3D::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeDraw_Array1OfDrawableP3D::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeDraw_Array1OfDrawableP3D::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TestTopOpeDraw_Array1OfDrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::operator= | ( | const TestTopOpeDraw_Array1OfDrawableP3D & | Other | ) | `[inline]`

void TestTopOpeDraw_Array1OfDrawableP3D::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TestTopOpeDraw_DrawableP3D)& | Value
| ) |

Standard_Integer TestTopOpeDraw_Array1OfDrawableP3D::Upper | ( |  | ) | const

const Handle_TestTopOpeDraw_DrawableP3D& TestTopOpeDraw_Array1OfDrawableP3D::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TestTopOpeDraw_Array1OfDrawableP3D::isAllocated `[private]`

Standard_Integer TestTopOpeDraw_Array1OfDrawableP3D::myLowerBound `[private]`

Standard_Address TestTopOpeDraw_Array1OfDrawableP3D::myStart `[private]`

Standard_Integer TestTopOpeDraw_Array1OfDrawableP3D::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_Array1OfDrawableP3D.hxx